Description

The response from "GET /api/v2/provisioning_templates/Kickstart default/os_default_templates" shows the following fields:

    {

      "id": 3,

      "provisioning_template_id": 4,

      "provisioning_template_name": "Kickstart default",

      "template_kind_id": 3,

      "template_kind_name": "provision",

      "config_template_id": 4,

      "config_template_name": "Kickstart default" 

    }

 This makes sense if you're using the nested route under /operatingsystems, but it should include the operatingsystem ID in case

you're accessing it under templates.

Associated revisions

Revision 3c1af256 - 09/15/2015 08:12 AM - Shlomi Zadok

fixes #11242 - Add operatingsystem_id to os_default_templates in API

History

#1 - 09/14/2015 04:41 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2715 added

- Pull request deleted ()

#2 - 09/15/2015 09:02 AM - Shlomi Zadok

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 3c1af25645269ad9de1ef8beba4cf0b0ed56104d.

#3 - 09/15/2015 09:07 AM - Dominic Cleal

- Assignee set to Shlomi Zadok

- translation missing: en.field_release set to 63
